package uk.ac.shef.is.imageClef.trecResult;

/** Class is a container to store
 * a trec result entry, which represents
 * one line of the whole result file.
 * @author Thomas Arni
 *
 */
public class TrecResultEntryContainer {
	private String topicNr = "";
	private String docNr = "";
	private String rank = "";
	private String scorce = "";
	private String runName = "";
	
	public TrecResultEntryContainer(String topicNr, String docNr, String rank, String scorce, String runName){
		this.topicNr = topicNr;
		this.docNr = docNr;
		this.rank = rank;
		this.scorce = scorce;	
		this.runName = runName;
	}

	public String getTopicNr() {
		return topicNr;
	}

	public String getDocNr() {
		return docNr;
	}

	public String getRank() {
		return rank;
	}

	public String getScorce() {
		return scorce;
	}
	
	public String toString(){
		return topicNr +  " 1 " + docNr +  " " + rank +  " " + scorce + " " + runName;
	}

	public String getRunName() {
		return runName;
	}
}
